/**
 * The asset generation queue object represents a queue of asset derivatives that
 * should be generated by the system queue processor.
 *
 * @feature   assetQueue
 * @nolabel   true
 * @useCache  false
 * @versioned false
 */
component extends="preside.system.base.SystemPresideObject" displayName="Asset generation queue" {
	property name="asset"           relationship="many-to-one" required=true  uniqueindexes="assetqueue|1" ondelete="cascade";
	property name="asset_version"   relationship="many-to-one" required=false uniqueindexes="assetqueue|2" ondelete="cascade";

	property name="derivative_name" type="string" dbtype="varchar" maxLength=200 required=false uniqueindexes="assetqueue|3";
	property name="config_hash"     type="string" dbtype="varchar" maxLength=32  required=false uniqueindexes="assetqueue|4";

	property name="retry_count"  type="numeric" dbtype="int"                  required=true default=0         indexes="retrycount";
	property name="queue_status" type="string"  dbtype="varchar" maxlength=10 required=true default="pending" indexes="queuestatus" enum="assetQueueStatus";

	property name="context"    type="string" dbtype="longtext";
	property name="last_error" type="string" dbtype="longtext";
}