<cfscript>
	catch = args.error ?: {};
</cfscript>

<cfoutput>
	<table id="-railo-err" cellpadding="4" cellspacing="2">
		<tr>
			<td colspan="2" class="label">Error (#catch.type#)</td>
		</tr>
		<cfparam name="catch.message" default="">
		<tr>
			<td class="label">Message</td>
			<td>#replace( HTMLEditFormat( trim( catch.message ) ), chr(10), '<br>', 'all' )#</td>
		</tr>
		<cfparam name="catch.detail" default="">
		<cfif len( catch.detail )>
			<tr>
				<td class="label">Detail</td>
			    <td>#replace( HTMLEditFormat( trim( catch.detail ) ), chr(10), '<br>', 'all' )#</td>
			</tr>
		</cfif>
		<cfif structkeyexists( catch, 'errorcode' ) && len( catch.errorcode ) && catch.errorcode NEQ 0>
			<tr>
				<td class="label">Error Code</td>
				<td>#catch.errorcode#</td>
			</tr>
		</cfif>
		<cfif structKeyExists( catch, 'extendedinfo' ) && len( catch.extendedinfo )>
			<tr>
				<td class="label">Extended Info</td>
				<td>#HTMLEditFormat( catch.extendedinfo )#</td>
			</tr>
		</cfif>
		<cfif structKeyExists( catch, 'additional' )>
			<cfloop collection="#catch.additional#" item="key">
				<tr>
					<td class="label">#key#</td>
					<td>#replace( HTMLEditFormat( catch.additional[key] ), chr(10),'<br>', 'all' )#</td>
				</tr>
			</cfloop>
		</cfif>
		<cfif structKeyExists( catch, 'tagcontext' )>
			<cfset len=arrayLen( catch.tagcontext )>
			<cfif len>
				<tr>
					<td class="label">Stacktrace</td>
					<td>The Error Occurred in<br>
						<cfloop index="idx" from="1" to="#len#">
							<cfset tc = catch.tagcontext[ idx ]>
							<cfparam name="tc.codeprinthtml" default="">
							<cfif len( tc.codeprinthtml )>

								<cfset isFirst = ( idx == 1 )>

								<a class="-railo-icon-#isFirst ? 'minus' : 'plus'#" id="__btn$#idx#" onclick="__RAILO.oc( this );" style="cursor: pointer;">
									#isFirst ? "<b>#tc.template#: line #tc.line#</b>" : "<b>called from</b> #tc.template#: line #tc.line#"#
								</a>
								<br>

								<blockquote class="#isFirst ? 'expanded' : 'collapsed'#" id="__cst$#idx#">
									#tc.codeprinthtml#<br>
								</blockquote>
							<cfelse>
								<span class="-no-icon">#idx == 1 ? "<b>#tc.template#: line #tc.line#</b>" : "<b>called from</b> #tc.template#: line #tc.line#"#</span>
								<br>
							</cfif>
						</cfloop>
					</td>
				</tr>
			</cfif>
		</cfif>
		<cfif StructKeyExists( catch, "stacktrace" )>
			<tr>
				<td class="label">Java Stacktrace</td>
				<td>#replace( catch.stacktrace, chr(10), "<br><span style='margin-right: 1em;'>&nbsp;</span>", "all" )#</td>
			</tr>
		</cfif>
		<tr>
			<td class="label">Timestamp</td>
			<td>
				<cfset timestamp = now()>
				#LsDateFormat( timestamp, 'short' )# #LsTimeFormat( timestamp, 'long' )#
			</td>
		</tr>
	</table>
</cfoutput>